/*******************************************************************************
 *  Copyright (c) 2010 Association for Decentralized Information Management in
 *  Industry THTH ry.
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License v1.0
 *  which accompanies this distribution, and is available at
 *  http://www.eclipse.org/legal/epl-v10.html
 *
 *  Contributors:
 *      VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.databoard.example.old;

import org.simantics.databoard.Datatypes;
import org.simantics.databoard.type.IntegerType;
import org.simantics.databoard.type.RecordType;

/**
 * In this example data type representation for a vector is created by 
 * instatiating representation classes directly.
 *
 * @author Toni Kalajainen <toni.kalajainen@vtt.fi>
 */
public class RepresentationExample1 {
	
	public static void main(String[] args) {
		RecordType type = new RecordType();
		type.addComponent("x", Datatypes.INTEGER);
		type.addComponent("y", Datatypes.INTEGER);
		type.addComponent("z", Datatypes.INTEGER);
		System.out.println( type );
	}

}

