/*******************************************************************************
 *  Copyright (c) 2010 Association for Decentralized Information Management in
 *  Industry THTH ry.
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License v1.0
 *  which accompanies this distribution, and is available at
 *  http://www.eclipse.org/legal/epl-v10.html
 *
 *  Contributors:
 *      VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.databoard.accessor.impl;

import org.simantics.databoard.Accessors;
import org.simantics.databoard.accessor.Accessor;

/**
 * Do not use this class directly, instead use {@link Accessors}
 *
 * @author Toni Kalajainen <toni.kalajainen@vtt.fi>
 */
public class AccessorsUtil {

	/**
	 * Compare the contents of two accessor. The result is a change set that
	 * if applied to the old would convert it to the new.
	 * 
	 * @param oldAccessor
	 * @param newAccessor
	 * @return change set
	 */
	public static ChangeSet compare(Accessor oldAccessor, Accessor newAccessor) {
		return null;
	}
	
}

